QwtCompassRose(3)

NAME
QwtCompassRose - Abstract base class for a compass rose.

SYNOPSIS

#include <qwt_compass_rose.h>

Inherited by QwtSimpleCompassRose.

  Public Member Functions
virtual ~QwtCompassRose ()
Destructor.
virtual void setPalette (const QPalette &p)
Assign a palette.
const QPalette & palette () const
virtual void draw (QPainter *painter, const QPointF &center, double radius, double north, QPalette::ColorGroup colorGroup=QPalette::Active) const =0

Detailed Description

Abstract base class for a compass rose.

Member Function Documentation

  virtual void QwtCompassRose::draw (QPainter * painter, const QPointF & center, double radius, double north, QPalette::ColorGroup colorGroup = QPalette::Active) const [pure virtual]
Draw the rose

Parameters
    painter Painter
    center Center point
    radius Radius of the rose
    north Position
    colorGroup Color group

Implemented in QwtSimpleCompassRose.

  const QPalette& QwtCompassRose::palette () const [inline]

Returns
    Current palette

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.